#ifndef __HARDWAREPICTURE2DSOFT_H__
#define __HARDWAREPICTURE2DSOFT_H__
#include "HardwarePicture2D.h"

#include <Array2D.h>
#include <Color.h>
#include <Nocopy.h>
class Hardware2DSoft;

class HardwarePicture2DSoft : public HardwarePicture2D, private Nocopy
{
public:	
	virtual ~HardwarePicture2DSoft();

	virtual void blit(int left, int top, int alpha);
private:
	explicit HardwarePicture2DSoft(Hardware2DSoft * hardware);
	friend class Hardware2DSoft;

	/**
	 * @supplierCardinality 1 
	 */
	Hardware2DSoft * hardware;
	Array2D<Color> canvas;
};

#endif //__HARDWAREPICTURE2DSOFT_H__