#include "PictureFormatManager.h"
#include "PictureFormatBMP.h"
#include "PictureFormatTwin.h"
#include <safe_new.h>

PictureFormat * PictureFormatManager::create_format(const String & name)
{
	PictureFormatTwin * twinf = new PictureFormatTwin( name );
	if( twinf->colors() )
		return twinf;
	delete twinf; twinf = 0;

	PictureFormatBMP * bmpf = new PictureFormatBMP( name );
	if( bmpf->colors() )
		return bmpf;
	delete bmpf; bmpf = 0;

	return 0;
}
