#ifndef TXTLOG_H
#define TXTLOG_H

#include "Log.h"
#include <stdio.h>
#include <Nocopy.h>

class TxtLog : public Log, private Nocopy
{
public:
	TxtLog(const String & fname, const String & header);
	virtual ~TxtLog();
	virtual void error(const String & str);
	virtual void message(const String & str);
	virtual void warning(const String & str);
private:
	FILE * file;
};
#endif //TXTLOG_H