#include "HardwarePicture2DSoft.h"
#include "Hardware2DSoft.h"
#include <Log/LogPtr.h>
#include <String.hpp>

HardwarePicture2DSoft::HardwarePicture2DSoft(Hardware2DSoft * hardware)
:	hardware( hardware )
{
	hardware->add_picture_count(1);
}

HardwarePicture2DSoft::~HardwarePicture2DSoft()
{
	hardware->add_picture_count(-1);
}

void HardwarePicture2DSoft::blit(int left, int top, int alpha)
{
	hardware->blit( *this, left, top, alpha );
}
