#ifndef OBJECT2D_H
#define OBJECT2D_H

class Scene2D;

class Object2D
{
	Object2D(const Object2D &);
	const Object2D & operator=(const Object2D &);
public:	
	Object2D(Scene2D * scene, int layer);
	virtual ~Object2D();

	int get_x()const;
	int get_y()const;
	int get_layer()const;

	void move(int x, int y);
	void change_layer(int layer);
	virtual void render() =0;
private:
	int pos_x;
	int pos_y;
	int pos_layer;
protected:

	/**
	 * @supplierCardinality 1 
	 */
	Scene2D * const scene;
};
#endif //OBJECT2D_H