#ifndef PICTUREFORMATBMP_H
#define PICTUREFORMATBMP_H

#include "PictureFormat.h"
#include <win32/windows.h>
#include <Nocopy.h>
class String;

class PictureFormatBMP : public PictureFormat, private Nocopy
{
	BITMAPFILEHEADER file_header;
	BITMAPINFOHEADER bitmap_info_header;
	Color * data;
public:
	explicit PictureFormatBMP(const String & name);
	virtual ~PictureFormatBMP();
	virtual const Color * colors()const;
	virtual int height()const;
	virtual int width()const;
	virtual int alpha_bits()const
	{
		return 0;
	}
};
#endif //PICTUREFORMATBMP_H