#include "LogPtr.h"
#include "TxtLog.h"
#include <String.hpp>
#include <safe_new.h>

Log * LogPtr::log = 0;

void LogPtr::destroy()
{
	delete log; log = 0;
}

Log * LogPtr::operator->()const
{
	if( !log )
	{
		log = new TxtLog("game.log","To change the Log strategy, modify LogPtr.cpp file");
	}
	return log;
}
